<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateHousekeeperOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        /*
         *
        'wechat_id', // 微信号id(open_id)
		'contents', // 服务内容, 数组形式，多个数量则出现多次
    	'people_num', //人口数量
        'area', // 房屋面积
        'server_time', // 服务时间: 全白天/住家
        'rest', // 休息安排
        'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
        'status', // 订单状态
        'price' // 订单价格
         */
        Schema::create('housekeeper_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->string('wechat_id');
            $table->string('contents');
            $table->string('people_num');
            $table->string('area');
            $table->string('server_time');
            $table->string('rest');
            $table->string('contact');
            $table->string('address');
            $table->string('phone');
            $table->integer('status');
            $table->double('price');
            $table->string('photo');
            $table->string('notes');
            $table->unsignedInteger('classify');
            $table->string('classify1');
            $table->string('classify2');
            $table->unsignedInteger('comment_id');
            $table->timestamp("paid_at");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('housekeeper_orders');
    }
}
